package com.ruoyi.tc.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.tc.entity.UnitOtherConcat;

import java.util.List;

/**
 * 单位其他联系人(unit_other_contact)业务层
 * @author du
 * @since 2024/11/13 14:55
 */
public interface UnitOtherConcatService extends IService<UnitOtherConcat> {


    /**
     * 根据assetId逻辑删除
     */
    void deleteByAssetIds(Long id);

    /**
     * 根据unitId逻辑删除
     */
    void deleteByUnitIds(Long  id);


    /**
     * 删除
     * @param UnitOtherConcatidList
     */
    void  deleteIdList(List<Long> UnitOtherConcatidList);
}
